[arch-commits] Commit in yaws/repos (12 files)

Alexander Rødseth arodseth at archlinux.org
Thu Mar 16 09:36:31 UTC 2017


    Date: Thursday, March 16, 2017 @ 09:36:30
  Author: arodseth
Revision: 216685

archrelease: copy trunk to community-x86_64, community-i686

Added:
  yaws/repos/community-i686/PKGBUILD
    (from rev 216684, yaws/trunk/PKGBUILD)
  yaws/repos/community-i686/yaws.install
    (from rev 216684, yaws/trunk/yaws.install)
  yaws/repos/community-i686/yaws.service
    (from rev 216684, yaws/trunk/yaws.service)
  yaws/repos/community-x86_64/PKGBUILD
    (from rev 216684, yaws/trunk/PKGBUILD)
  yaws/repos/community-x86_64/yaws.install
    (from rev 216684, yaws/trunk/yaws.install)
  yaws/repos/community-x86_64/yaws.service
    (from rev 216684, yaws/trunk/yaws.service)
Deleted:
  yaws/repos/community-i686/PKGBUILD
  yaws/repos/community-i686/yaws.install
  yaws/repos/community-i686/yaws.service
  yaws/repos/community-x86_64/PKGBUILD
  yaws/repos/community-x86_64/yaws.install
  yaws/repos/community-x86_64/yaws.service

-------------------------------+
 /PKGBUILD                     |  110 ++++++++++++++++++++++++++++++++++++++++
 /yaws.install                 |   26 +++++++++
 /yaws.service                 |   26 +++++++++
 community-i686/PKGBUILD       |   56 --------------------
 community-i686/yaws.install   |   13 ----
 community-i686/yaws.service   |   13 ----
 community-x86_64/PKGBUILD     |   56 --------------------
 community-x86_64/yaws.install |   13 ----
 community-x86_64/yaws.service |   13 ----
 9 files changed, 162 insertions(+), 164 deletions(-)

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD	2017-03-16 09:36:12 UTC (rev 216684)
+++ community-i686/PKGBUILD	2017-03-16 09:36:30 UTC (rev 216685)
@@ -1,56 +0,0 @@
-# $Id$
-# Maintainer: Alexander Rødseth <rodseth at gmail.com>
-# Maintainer: Vesa Kaihlavirta <vegai at iki.fi>
-# Contributor: Patrick Smits <mail at patricksmits.net>
-
-pkgname=yaws
-pkgver=2.0.2
-pkgrel=1
-pkgdesc='Pure Erlang HTTP web server/framework'
-arch=('x86_64' 'i686')
-url='http://yaws.hyber.org/'
-license=('BSD')
-depends=('pam' 'erlang-nox')
-backup=('etc/yaws/yaws.conf')
-options=('!emptydirs')
-install="$pkgname.install"
-source=("http://yaws.hyber.org/download/$pkgname-$pkgver.tar.gz"
-        "$pkgname.service")
-sha256sums=('24dd4aab844e7bb18a9a3cc795b8e8f5755e6f0f8eee3ebb54767ab19eacdde7'
-            '09bd1f9f17833c83b4d82d3ac9dc2bf539c8e20ef92d438fced6e70b2aea61bc')
-
-prepare() {
-  # Python 2 fix
-  for f in cgi.yaws cgi-bin/foo.py; do
-    sed -i 's:n/python:n/python2:' "$pkgname-$pkgver/www/$f"
-  done
-}
-
-build() {
-  cd "$pkgname-$pkgver"
-
-  export wwwdir=/srv/http/yaws
-  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
-  make
-}
-
-package() {
-  cd "$pkgname-$pkgver"
-
-  make DESTDIR="$pkgdir" install
-  install -d "$pkgdir/usr/lib/erlang/lib"
-  ln -s /usr/lib/yaws "$pkgdir/usr/lib/erlang/lib/$pkgname-$pkgver"
-  install -Dm644 "$srcdir/$pkgname.service" \
-    "$pkgdir/usr/lib/systemd/system/$pkgname.service"
-  install -Dm644 "$srcdir/$pkgname-$pkgver/LICENSE" \
-    "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-
-  # Path fixups
-  cp -ru examples/include "$pkgdir/usr/lib/yaws-$pkgver/examples/"
-  mv "$pkgdir/srv/http/yaws/"* "$pkgdir/srv/http/www" || true
-  rmdir "$pkgdir/srv/http/yaws" || true
-  mv "$pkgdir/srv/http/www" "$pkgdir/srv/http/yaws" || true
-}
-
-# getver: yaws.hyber.org/download/?M=r
-# vim:set ts=2 sw=2 et:

Copied: yaws/repos/community-i686/PKGBUILD (from rev 216684, yaws/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2017-03-16 09:36:30 UTC (rev 216685)
@@ -0,0 +1,55 @@
+# $Id$
+# Maintainer: Alexander F Rødseth <xyproto at archlinux.org>
+# Maintainer: Vesa Kaihlavirta <vegai at iki.fi>
+# Contributor: Patrick Smits <mail at patricksmits.net>
+
+pkgname=yaws
+pkgver=2.0.4
+pkgrel=1
+pkgdesc='Web server/framework written in Erlang'
+arch=('x86_64' 'i686')
+url='http://yaws.hyber.org/'
+license=('BSD')
+depends=('pam' 'erlang-nox')
+backup=('etc/yaws/yaws.conf')
+options=('!emptydirs')
+install="$pkgname.install"
+source=("http://yaws.hyber.org/download/$pkgname-$pkgver.tar.gz"
+        "$pkgname.service")
+sha256sums=('da6677c315aadc7c64c970ef74eaa29f61eba886c7d30c61806651ac38c1e6c5'
+            '3628a0f6fdacc91c216cb782e3f3da638958cca6eee34a0a1e692482659109db')
+
+prepare() {
+  # use python2
+  for f in cgi.yaws cgi-bin/foo.py; do
+    sed -i 's:n/python:n/python2:' "$pkgname-$pkgver/www/$f"
+  done
+}
+
+build() {
+  cd "$pkgname-$pkgver"
+
+  export wwwdir=/srv/http/yaws
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
+  make
+}
+
+package() {
+  cd "$pkgname-$pkgver"
+
+  make DESTDIR="$pkgdir" install
+  install -d "$pkgdir/usr/lib/erlang/lib"
+  ln -s /usr/lib/yaws "$pkgdir/usr/lib/erlang/lib/$pkgname-$pkgver"
+  install -Dm644 "$srcdir/$pkgname.service" \
+    "$pkgdir/usr/lib/systemd/system/$pkgname.service"
+  install -Dm644 "$srcdir/$pkgname-$pkgver/LICENSE" \
+    "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+
+  # path fixes
+  cp -ru examples/include "$pkgdir/usr/lib/yaws-$pkgver/examples/"
+  mv "$pkgdir/srv/http/yaws/"* "$pkgdir/srv/http/www" || true
+  rmdir "$pkgdir/srv/http/yaws" || true
+  mv "$pkgdir/srv/http/www" "$pkgdir/srv/http/yaws" || true
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-i686/yaws.install
===================================================================
--- community-i686/yaws.install	2017-03-16 09:36:12 UTC (rev 216684)
+++ community-i686/yaws.install	2017-03-16 09:36:30 UTC (rev 216685)
@@ -1,13 +0,0 @@
-post_upgrade() {
-  mkdir -p /var/log/yaws
-}
-
-post_install() {
-  post_upgrade
-}
-
-post_remove() {
-  rmdir --ignore-fail-on-non-empty /var/log/yaws
-}
-
-# vim:set ts=2 sw=2 et:

Copied: yaws/repos/community-i686/yaws.install (from rev 216684, yaws/trunk/yaws.install)
===================================================================
--- community-i686/yaws.install	                        (rev 0)
+++ community-i686/yaws.install	2017-03-16 09:36:30 UTC (rev 216685)
@@ -0,0 +1,13 @@
+post_upgrade() {
+  mkdir -p /var/log/yaws
+}
+
+post_install() {
+  post_upgrade
+}
+
+post_remove() {
+  rmdir --ignore-fail-on-non-empty /var/log/yaws
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-i686/yaws.service
===================================================================
--- community-i686/yaws.service	2017-03-16 09:36:12 UTC (rev 216684)
+++ community-i686/yaws.service	2017-03-16 09:36:30 UTC (rev 216685)
@@ -1,13 +0,0 @@
-[Unit]
-Description=Fast lightweight webserver
-After=syslog.target network.target
-
-[Service]
-Type=forking
-GuessMainPID=no
-ExecStart=/usr/bin/yaws --daemon --heart
-ExecReload=/usr/bin/yaws --hup
-ExecStop=/usr/bin/yaws --stop
-
-[Install]
-WantedBy=multi-user.target

Copied: yaws/repos/community-i686/yaws.service (from rev 216684, yaws/trunk/yaws.service)
===================================================================
--- community-i686/yaws.service	                        (rev 0)
+++ community-i686/yaws.service	2017-03-16 09:36:30 UTC (rev 216685)
@@ -0,0 +1,13 @@
+[Unit]
+Description=Web server/framework written in Erlang
+After=syslog.target network.target
+
+[Service]
+Type=forking
+GuessMainPID=no
+ExecStart=/usr/bin/yaws --daemon --heart
+ExecReload=/usr/bin/yaws --hup
+ExecStop=/usr/bin/yaws --stop
+
+[Install]
+WantedBy=multi-user.target

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD	2017-03-16 09:36:12 UTC (rev 216684)
+++ community-x86_64/PKGBUILD	2017-03-16 09:36:30 UTC (rev 216685)
@@ -1,56 +0,0 @@
-# $Id$
-# Maintainer: Alexander Rødseth <rodseth at gmail.com>
-# Maintainer: Vesa Kaihlavirta <vegai at iki.fi>
-# Contributor: Patrick Smits <mail at patricksmits.net>
-
-pkgname=yaws
-pkgver=2.0.2
-pkgrel=1
-pkgdesc='Pure Erlang HTTP web server/framework'
-arch=('x86_64' 'i686')
-url='http://yaws.hyber.org/'
-license=('BSD')
-depends=('pam' 'erlang-nox')
-backup=('etc/yaws/yaws.conf')
-options=('!emptydirs')
-install="$pkgname.install"
-source=("http://yaws.hyber.org/download/$pkgname-$pkgver.tar.gz"
-        "$pkgname.service")
-sha256sums=('24dd4aab844e7bb18a9a3cc795b8e8f5755e6f0f8eee3ebb54767ab19eacdde7'
-            '09bd1f9f17833c83b4d82d3ac9dc2bf539c8e20ef92d438fced6e70b2aea61bc')
-
-prepare() {
-  # Python 2 fix
-  for f in cgi.yaws cgi-bin/foo.py; do
-    sed -i 's:n/python:n/python2:' "$pkgname-$pkgver/www/$f"
-  done
-}
-
-build() {
-  cd "$pkgname-$pkgver"
-
-  export wwwdir=/srv/http/yaws
-  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
-  make
-}
-
-package() {
-  cd "$pkgname-$pkgver"
-
-  make DESTDIR="$pkgdir" install
-  install -d "$pkgdir/usr/lib/erlang/lib"
-  ln -s /usr/lib/yaws "$pkgdir/usr/lib/erlang/lib/$pkgname-$pkgver"
-  install -Dm644 "$srcdir/$pkgname.service" \
-    "$pkgdir/usr/lib/systemd/system/$pkgname.service"
-  install -Dm644 "$srcdir/$pkgname-$pkgver/LICENSE" \
-    "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-
-  # Path fixups
-  cp -ru examples/include "$pkgdir/usr/lib/yaws-$pkgver/examples/"
-  mv "$pkgdir/srv/http/yaws/"* "$pkgdir/srv/http/www" || true
-  rmdir "$pkgdir/srv/http/yaws" || true
-  mv "$pkgdir/srv/http/www" "$pkgdir/srv/http/yaws" || true
-}
-
-# getver: yaws.hyber.org/download/?M=r
-# vim:set ts=2 sw=2 et:

Copied: yaws/repos/community-x86_64/PKGBUILD (from rev 216684, yaws/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2017-03-16 09:36:30 UTC (rev 216685)
@@ -0,0 +1,55 @@
+# $Id$
+# Maintainer: Alexander F Rødseth <xyproto at archlinux.org>
+# Maintainer: Vesa Kaihlavirta <vegai at iki.fi>
+# Contributor: Patrick Smits <mail at patricksmits.net>
+
+pkgname=yaws
+pkgver=2.0.4
+pkgrel=1
+pkgdesc='Web server/framework written in Erlang'
+arch=('x86_64' 'i686')
+url='http://yaws.hyber.org/'
+license=('BSD')
+depends=('pam' 'erlang-nox')
+backup=('etc/yaws/yaws.conf')
+options=('!emptydirs')
+install="$pkgname.install"
+source=("http://yaws.hyber.org/download/$pkgname-$pkgver.tar.gz"
+        "$pkgname.service")
+sha256sums=('da6677c315aadc7c64c970ef74eaa29f61eba886c7d30c61806651ac38c1e6c5'
+            '3628a0f6fdacc91c216cb782e3f3da638958cca6eee34a0a1e692482659109db')
+
+prepare() {
+  # use python2
+  for f in cgi.yaws cgi-bin/foo.py; do
+    sed -i 's:n/python:n/python2:' "$pkgname-$pkgver/www/$f"
+  done
+}
+
+build() {
+  cd "$pkgname-$pkgver"
+
+  export wwwdir=/srv/http/yaws
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
+  make
+}
+
+package() {
+  cd "$pkgname-$pkgver"
+
+  make DESTDIR="$pkgdir" install
+  install -d "$pkgdir/usr/lib/erlang/lib"
+  ln -s /usr/lib/yaws "$pkgdir/usr/lib/erlang/lib/$pkgname-$pkgver"
+  install -Dm644 "$srcdir/$pkgname.service" \
+    "$pkgdir/usr/lib/systemd/system/$pkgname.service"
+  install -Dm644 "$srcdir/$pkgname-$pkgver/LICENSE" \
+    "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+
+  # path fixes
+  cp -ru examples/include "$pkgdir/usr/lib/yaws-$pkgver/examples/"
+  mv "$pkgdir/srv/http/yaws/"* "$pkgdir/srv/http/www" || true
+  rmdir "$pkgdir/srv/http/yaws" || true
+  mv "$pkgdir/srv/http/www" "$pkgdir/srv/http/yaws" || true
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-x86_64/yaws.install
===================================================================
--- community-x86_64/yaws.install	2017-03-16 09:36:12 UTC (rev 216684)
+++ community-x86_64/yaws.install	2017-03-16 09:36:30 UTC (rev 216685)
@@ -1,13 +0,0 @@
-post_upgrade() {
-  mkdir -p /var/log/yaws
-}
-
-post_install() {
-  post_upgrade
-}
-
-post_remove() {
-  rmdir --ignore-fail-on-non-empty /var/log/yaws
-}
-
-# vim:set ts=2 sw=2 et:

Copied: yaws/repos/community-x86_64/yaws.install (from rev 216684, yaws/trunk/yaws.install)
===================================================================
--- community-x86_64/yaws.install	                        (rev 0)
+++ community-x86_64/yaws.install	2017-03-16 09:36:30 UTC (rev 216685)
@@ -0,0 +1,13 @@
+post_upgrade() {
+  mkdir -p /var/log/yaws
+}
+
+post_install() {
+  post_upgrade
+}
+
+post_remove() {
+  rmdir --ignore-fail-on-non-empty /var/log/yaws
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-x86_64/yaws.service
===================================================================
--- community-x86_64/yaws.service	2017-03-16 09:36:12 UTC (rev 216684)
+++ community-x86_64/yaws.service	2017-03-16 09:36:30 UTC (rev 216685)
@@ -1,13 +0,0 @@
-[Unit]
-Description=Fast lightweight webserver
-After=syslog.target network.target
-
-[Service]
-Type=forking
-GuessMainPID=no
-ExecStart=/usr/bin/yaws --daemon --heart
-ExecReload=/usr/bin/yaws --hup
-ExecStop=/usr/bin/yaws --stop
-
-[Install]
-WantedBy=multi-user.target

Copied: yaws/repos/community-x86_64/yaws.service (from rev 216684, yaws/trunk/yaws.service)
===================================================================
--- community-x86_64/yaws.service	                        (rev 0)
+++ community-x86_64/yaws.service	2017-03-16 09:36:30 UTC (rev 216685)
@@ -0,0 +1,13 @@
+[Unit]
+Description=Web server/framework written in Erlang
+After=syslog.target network.target
+
+[Service]
+Type=forking
+GuessMainPID=no
+ExecStart=/usr/bin/yaws --daemon --heart
+ExecReload=/usr/bin/yaws --hup
+ExecStop=/usr/bin/yaws --stop
+
+[Install]
+WantedBy=multi-user.target


More information about the arch-commits mailing list